### Function

# Pango attr_width_new

since: 1.58

#### Declaration [src]

    PangoAttribute*
    pango_attr_width_new (
      PangoWidth width
    )

#### Description [src]

Create a new font width attribute.

Available since: 1.58

#### Parameters

`width`

  Type: `PangoWidth`

  The width.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.